Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.runtime.rule
Interface PropagationContext

    public interface PropagationContext

Field Summary
`static int` | `ASSERTION`
`static int` | `EXPIRATION`
`static int` | `MODIFICATION`
`static int` | `RETRACTION`
`static int` | `RULE_ADDITION`
`static int` | `RULE_REMOVAL`
`static String[]` | `typeDescr`

Method Summary
`FactHandle` | `getFactHandle()` The facthandle that was inserted, updated or retracted that created the PropagationContext
`long` | `getPropagationNumber()`
`Rule` | `getRule()` The rule that caused the working memory action that created this PropagationContext.
`int` | `getType()` The PropagationContextType, numbers may change between Drools versions.

Field Detail

### ASSERTION

    static final int ASSERTION

See Also:
  Constant Field Values

### RETRACTION

    static final int RETRACTION

See Also:
  Constant Field Values

### MODIFICATION

    static final int MODIFICATION

See Also:
  Constant Field Values

### RULE_ADDITION

    static final int RULE_ADDITION

See Also:
  Constant Field Values

### RULE_REMOVAL

    static final int RULE_REMOVAL

See Also:
  Constant Field Values

### EXPIRATION

    static final int EXPIRATION

See Also:
  Constant Field Values

### typeDescr

    static final String[] typeDescr

Method Detail

### getPropagationNumber

    long getPropagationNumber()

### getRule

    Rule getRule()

  The rule that caused the working memory action that created this PropagationContext. If this working memory action was done from java this is null

  Returns:

### getFactHandle

    FactHandle getFactHandle()

  The facthandle that was inserted, updated or retracted that created the PropagationContext

  Returns:

### getType

    int getType()

  The PropagationContextType, numbers may change between Drools versions. Or we may eventually switch this to an enum. ASSERTION = 0; RETRACTION = 1; MODIFICATION = 2; RULE_ADDITION = 3; RULE_REMOVAL = 4; EXPIRATION = 5;

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.